<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Product.aspx.cs" Inherits="DevGroupGettingStartedWithEco.Product" %>
<%@ Register Assembly="Eco.Web, Version=4.0.0.0, Culture=neutral, PublicKeyToken=46a833be9e90de8c" Namespace="Eco.Web.UI.WebControls" TagPrefix="eco" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Product Sales History</title>
</head>
<body>
    <form id="form1" runat="server">
        <h2>Product Sales History</h2>
        <div>
            <eco:EcoSpaceManager ID="EcoSpaceManager1" runat="server" EcoSpaceTypeName="DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace">
            </eco:EcoSpaceManager>
        </div>
        <eco:EcoDataSource ID="EcoDataSource1" runat="server" 
            EcoSpaceManagerID="EcoSpaceManager1" 
            
            Expression="InvoiceItem.objectfromExternalId(vProductId).Product.InvoiceItems.Invoice-&gt;orderBy(Reference)">
            <Parameters>
                <asp:QueryStringParameter Name="vProductId" QueryStringField="product" />
            </Parameters>
        </eco:EcoDataSource>
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
            DataKeyNames="ExternalId" DataSourceID="EcoDataSource1">
            <Columns>
                <asp:BoundField DataField="ExternalId" HeaderText="ExternalId" ReadOnly="True" 
                    SortExpression="ExternalId" />
                <asp:BoundField DataField="Reference" HeaderText="Reference" 
                    SortExpression="Reference" />
                <asp:BoundField DataField="Dated" HeaderText="Dated" SortExpression="Dated" />
                <asp:HyperLinkField DataNavigateUrlFields="ExternalId" 
                    DataNavigateUrlFormatString="Invoice.aspx?invoice={0}" Text="View Invoice" />
            </Columns>
        </asp:GridView>
    </form>
</body>
</html>
